View Basic report

View Basic report

GET https://api.ocamba.com/v1/hood/reports/basic
The Basic report provides aggregated HoodEngage metrics such as pageviews, sessions, profiles, push subscription activity, bandwidth, and modal/prompt interactions, grouped by container, geography, device, traffic source, and other dimensions.

Tip
For easier search, Reports API gives you the possibility of using one of the following labels: today, yesterday, last-7-days, last-30-days, last-90-days, last-100-days, last-24-hours, this-month, last-month, current-hour, last-hour, last-48-hours, last-2-days, month-to-date, month-to-yesterday, quarter-to-date, infinity.
Note
Use tz to set the report clock. timezone filters by visitor timezone and does not shift timestamps. When page is omitted, the API returns page 1 with a limit of 100000.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/v1/hood/reports/basic" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/v1/hood/reports/basic';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v1/hood/reports/basic");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

[
  {
    "push_allowed": 9563,
    "stat_date": "2021-12-29T00:00:00Z"
  },
  {
    "push_allowed": 9563,
    "stat_date": "2021-12-29T00:00:00Z"
  }
]

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses